<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Task 49.10 Quản Lý Đơn Hàngt</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <!-- Data Table-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</head>

<body>
  <div class="container">
    <div class="row text-center p-3">
      <div class="col-sm-12">
        <h2>QUẢN LÝ ĐƠN HÀNG</h2>
      </div>
    </div>
    <div class="card">
      <div class="card-header">
        <div class="row form-group">
          <div class="col-sm-12">
            <h5>Lọc đơn hàng: </h5>
          </div>
          <div class="col-sm-5">
            <label for="">Loại Pizza</label>
            <select name="" id="select-loai-pizza" class="form-control">
              <option value="0">--chon--</option>
              <option value="Seafood">Hải sản</option>
              <option value="Hawaii">Hawaii</option>
              <option value="Bacon">Thịt hun khói</option>
            </select>
          </div>
          <div class="col-sm-5">
            <label for="">Trạng thái</label>
            <select name="" id="select-trang-thai" class="form-control">
              <option value="open">open</option>
              <option value="cancel">Đã hủy</option>
              <option value="confirmed">Đã xác nhận</option>
            </select>
          </div>
          <div class="col-sm-2">
            <button class="btn btn-success w-50" style="margin-top: 30px;" id="btn-filter"><i class="fas fa-filter"></i>
              Lọc</button>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="row form-group">
          <div class="col-sm-12">
            <button class="btn btn-primary" id="btn-them"><i class="fas fa-plus"></i> Thêm</button>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12">
            <table class="table table-bordered table-hover table-striped" id="table-order">
              <thead class="font-weight-bold">
                <tr>
                  <td>OrderCode</td>
                  <td>Kích cỡ combo</td>
                  <td>Loại Pizza</td>
                  <td>Nước uống</td>
                  <td>Thanh tiền</td>
                  <td>Họ tên</td>
                  <td>Số điện thoại</td>
                  <td>Trạng thái</td>
                  <td>Action</td>
                </tr>
              </thead>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Modal Create Order-->
  <div class="modal fade" id="modal-them" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Thêm Order</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-create-firstname">Kích cỡ combo</label>
              </div>
              <div class="col-sm-8">
                <select name="" id="modal-select-combo" class="form-control">
                  <option value="0">--chọn--</option>
                  <option value="S">S</option>
                  <option value="M">M</option>
                  <option value="L">L</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-create-lastname">Loại Pizza</label>
              </div>
              <div class="col-sm-8">
                <select name="" id="modal-select-loaipizza" class="form-control">
                  <option value="0">--chon--</option>
                  <option value="Seafood">Hải sản</option>
                  <option value="Hawaii">Hawaii</option>
                  <option value="Bacon">Thịt hun khói</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label>Loại Nước uống</label>
              </div>
              <div class="col-sm-8">
                <select id="modal-select-drink" class="form-control">
                  <option value="0">--chọn--</option>
                  <option value="COCA">COCA</option>
                  <option value="TRATAC">Trà Tắc</option>
                  <option value="PESSI">PESSI</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label>Thanh tiền</label>
              </div>
              <div class="col-sm-8">
                <input type="text" class="form-control" id="modal-inp-thanh-tien" placeholder="..." readonly>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Họ tên</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-name" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Số điện thoại</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-phone" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Tạng thái</label>
              </div>
              <div class="col-sm-8">
                <select id="modal-select-trang-thai" class="form-control">
                  <option value="open">open</option>
                  <option value="cancel">Đã hủy</option>
                  <option value="confirmed">Đã xác nhận</option>
                </select>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Đường kính</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-duong-kinh" placeholder="..." class="form-control" readonly>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Sườn</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-suon" placeholder="..." class="form-control" readonly>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Salad</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-salad" placeholder="..." class="form-control" readonly>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Số lượng nước uống</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-so-luong-nuoc" placeholder="..." class="form-control" readonly>
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Địa chỉ</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-dia-chi" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Email</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-email" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label>Voucher</label>
              </div>
              <div class="col-sm-8">
                <input type="number" id="modal-inp-voucher" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Giảm giá</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-giam-gia" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Lời nhắn</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-mesage" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Ngày tạo</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-ngay-tao" placeholder="..." class="form-control">
              </div>
            </div>
            <div class="row form-group">
              <div class="col-sm-4">
                <label for="inp-subject">Ngày cập nhật</label>
              </div>
              <div class="col-sm-8">
                <input type="text" id="modal-inp-ngay-cap-nhat" placeholder="..." class="form-control">
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="modal-btn-them">Thêm Order</button>
        </div>
      </div>
    </div>
  </div>
  <!-- Modal Update trạng thái-->
  <div class="modal fade" id="modal-update-trangthai" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Sửa Trạng Thái</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <label for="">Trạng thái</label>
          <select name="" id="modal-select-update" class="form-control">
            <option value="open">open</option>
            <option value="cancel">Đã hủy</option>
            <option value="confirmed">Đã xác nhận</option>
          </select>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="modal-btn-confirm-edit">Xác nhận</button>
        </div>
      </div>
    </div>
  </div>
  <!-- Modal delete order-->
  <div class="modal fade" id="modal-delete-order" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Delete Order</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>Bạn có chắc chắn muốn xóa Order này không ?</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-primary" id="modal-btn-confirm-delete">Xóa</button>
        </div>
      </div>
    </div>
  </div>

  <script src="script.js"></script>
</body>

</html>